Author Topic: Looking for help trying to run the 0.9.3c wallet. It won't launch!  (Read 1849 times)

0 Members and 1 Guest are viewing this topic.

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Hi, I can't get the 0.9.3c wallet to run. In case it's not obvious I have an old wallet.dat from early 2014 that I'm hoping to import into the latest clinet.

I downloaded the archive, extracted it and have an executable -- bitshares_client.

The bash output on linux gives this when I try and get it to run -

./bitshares_client
Loading blockchain from: /home/kat/.BitShares/chain
Loading config from file: /home/kat/.BitShares/config.json
Using blockchain checkpoints from file: /home/kat/.BitShares/checkpoints.json
Not starting RPC server, use --server to enable the RPC interface
(wallet closed) >>>

I'm not really sure if I'm trying to run a GUI or CLI tbh and don't know what to do. Any ideas?

Thanks!
« Last Edit: December 15, 2017, 08:11:07 pm by V D-C »

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #1 on: December 15, 2017, 09:14:20 pm »
I think it's a cli. So I created ~/home/.Bitshares and put the wallet.dat in there.

Then I ran the executable and at the prompt "(wallet closed) >>>" I entered "wallet_export_keys /home/kat/Downloads/keys.json"

Then this messaged popped up -

A wallet must be open to execute this command. You can: (o) Open an existing wallet (c) Create a new wallet (q) Abort command Choose [o/c/q]:

I clicked "o" and now it's asking for a wallet name. I have no idea what the name of the wallet is. Can someone help?

Thanks!

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #2 on: December 15, 2017, 10:28:48 pm »
Tried downloading the GUI client, but I can't get it to run. So I'm stuck.

The support isn't very good here tbh. I have asked for help 3 times now over the years and the only person who offered to help was trying to extract a percentage of my bitshares funds.

I wasn't even going to try and recover the wallet because I already knew I'd end up wasting my time. So what's the point?

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #3 on: December 15, 2017, 10:54:32 pm »
In the "(o) Open an existing wallet" prompt I have so far tried running -- default, open default, "default" and "open default"

No luck unfortunately. I have searched around the internet too and have not managed to find anything helpful up to now.

Let me assure you all that I know there are many of you in this great community of ours sitting on the edge of your seats waiting for my posts and praying for a favourable outcome. I'd just like to pause for a moment to thank all of you from the very bottom of my heart xxx

Friends! I'll keep you all up to date.
« Last Edit: December 15, 2017, 10:56:28 pm by V D-C »

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #4 on: December 16, 2017, 01:37:16 am »
This is the error I'm getting when I try and execute the binary -

./BitShares: error while loading shared libraries: libgstreamer-0.10.so.0: cannot open shared object file: No such file or directory

Okay -

sudo apt-get install libgstreamer0.10-0

Now this -

./BitShares: error while loading shared libraries: libgstapp-0.10.so.0: cannot open shared object file: No such file or directory

sudo apt-get install libgstreamer-plugins-base0.10-0

Right so now it runs without any lib errors but I'm now getting this message from Bitshares GUI -

"An error occurred while trying to start. Please try restarting the application."

I re-run the programe and the loading screen loads with some information about what it's doing i.e. loading the blockchain etc and then just as it's about to launch it crashes with "Segmentation fault (core dumped)"

I'm having a lot of fun trying to get bitshares running :D

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #5 on: December 16, 2017, 01:41:17 am »
This is the error from bash before it crashes -

Loading config from file: /home/kat/.BitShares/config.json
Using blockchain checkpoints from file: /home/kat/.BitShares/checkpoints.json
Initializing state from built-in genesis file
Successfully replayed 0 blocks in 6 seconds.                         
Blockchain size changed from 0MiB to 0MiB.
QSslSocket: cannot resolve SSLv2_client_method
QSslSocket: cannot resolve SSLv2_server_method
Segmentation fault (core dumped)

I actually thought for a second I'd got Bitshares to run. Try again moron... HAHAHA

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #6 on: December 16, 2017, 02:19:59 am »
Might try this tomorrow -

    Install v0.4.24.1, import and unlock the backup wallet (you might see a wallet format upgrade message)
    Upgrade to v0.6.2, open and unlock the same wallet (I don't think this step is necessary but just in case)
    Upgrade to v0.9.3c, import the final blockchain and do a full rescan following the 2.0 migration instructions

from this thread -

https://bitsharestalk.org/index.php?topic=9194.60

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #7 on: December 16, 2017, 07:30:22 pm »
I just downloaded the blockchain and unpacked it and tried launching the wallet. It still crashes at the end of the splash screen just as it's about to launch.

So now I'm thinking about installing v0.4.24.1 and taking it from there. Now I'm not sure if I should move the blockchain out of .Bitshares? (obviously I'm expecting that question to go unanswered).

Thanks, friends!

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #8 on: December 16, 2017, 07:55:44 pm »
Hmmm, getting "Configuring incomplete, errors occurred!" now during "cmake."

I'll see if I can find some way too fix these errors. Although I did a git clone bitshares then cd'd into the cloned bitshares directory so I'm not really sure which wallet it's trying to install now even though I started out in the 0.4.24.1 directory.
« Last Edit: December 16, 2017, 07:58:23 pm by V D-C »

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #9 on: December 16, 2017, 08:00:47 pm »
WOW GUYS CHECK OUT THE CHARTS RIGHT NOW ATH AHOY!!!

https://bitscreener.com/coins/bitshares

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #10 on: December 16, 2017, 08:03:02 pm »
TURN UP THE SPEAKERS FOR THIS ONE

https://www.youtube.com/watch?v=OaiSHcHM0PA

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #11 on: December 16, 2017, 08:13:39 pm »
It's so funny I literally can't get any wallet to install or launch. 0.9.3c is sooooo close to running... and then it crashes.

Brilliant. You literally couldn't make this shit up. There must be millions of geeks who could help too.

"RTM DICKHEAD"

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #12 on: December 16, 2017, 08:19:10 pm »
/bitshares1-core-bts-0.4.24.1/bitshares/libraries/fc/vendor/websocketpp

  does not contain a CMakeLists.txt file.


-- Could NOT find Curses (missing:  CURSES_LIBRARY CURSES_INCLUDE_PATH)
-- Found Readline: /usr/include 
-- Finished fc module configuration...
-- Using  as BerkeleyDB root
-- Looking for: db_cxx-6.0
-- debug/usr/lib/x86_64-linux-gnu/libdb_cxx.sooptimized/usr/lib/x86_64-linux-gnu/libdb_cxx.so
-- Found BerkeleyDB: /usr/include 
-- Enabling Bitcoin Core Wallet Imports
-- Could NOT find Curses (missing:  CURSES_LIBRARY CURSES_INCLUDE_PATH)
-- Configuring incomplete, errors occurred!
See also "/bitshares1-core-bts-0.4.24.1/bitshares/CMakeFiles/CMakeOutput.log".

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #13 on: December 16, 2017, 08:23:42 pm »
sudo apt-get install libncurses5-dev

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #14 on: December 16, 2017, 08:26:18 pm »
CMake Error at libraries/fc/CMakeLists.txt:210 (add_subdirectory):
  The source directory

    /bitshares1-core-bts-0.4.24.1/bitshares/libraries/fc/vendor/websocketpp

 does not contain a CMakeLists.txt file.

-- Found Curses: /usr/lib/x86_64-linux-gnu/libcurses.so 
-- Finished fc module configuration...
-- Using  as BerkeleyDB root
-- Looking for: db_cxx-6.0
-- debug/usr/lib/x86_64-linux-gnu/libdb_cxx.sooptimized/usr/lib/x86_64-linux-gnu/libdb_cxx.so
-- Found BerkeleyDB: /usr/include 
-- Enabling Bitcoin Core Wallet Imports
-- Configuring incomplete, errors occurred!


Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #15 on: December 16, 2017, 08:28:45 pm »
Found this -

https://bitsharestalk.org/index.php?topic=15900.15

"git submodule update --init --recursive"

I'll try running that command...

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #16 on: December 16, 2017, 08:34:42 pm »
Okay that worked and now it's building a wallet. The only problem is it's not in the same directory I started in so I have no idea which wallet it's trying to build. I was hoping to install 0.4.24.1. I don't want to get ahead of myself here because for all I know the build will crash before it it finishes the build process. Let's see what happens...

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #17 on: December 16, 2017, 08:36:41 pm »
error: static assertion failed: Failed to reserve enough space in fc::fwd<T,S>
     void check_size() { static_assert( (ProvidedSize >= RequiredSize), "Failed to reser
                         ^
libraries/fc/CMakeFiles/fc.dir/build.make:614: recipe for target 'libraries/fc/CMakeFiles/fc.dir/src/io/sstream.cpp.o' failed
make[2]: *** [libraries/fc/CMakeFiles/fc.dir/src/io/sstream.cpp.o] Error 1
CMakeFiles/Makefile2:362: recipe for target 'libraries/fc/CMakeFiles/fc.dir/all' failed
make[1]: *** [libraries/fc/CMakeFiles/fc.dir/all] Error 2
Makefile:127: recipe for target 'all' failed
make: *** [all] Error 2

Back in the game guys hahaha. How did I know that was going to happen?

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #18 on: December 16, 2017, 08:43:56 pm »
Looks like that's it for me. Without help you'll have to love me and leave me behind and carry on the journey without me. I know how upsetting that must be for you. Please just forget about me and enjoy the rest of your lives lol.


Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #20 on: December 16, 2017, 09:01:03 pm »
Okay I just noticed that the directory I made was called .Bitshares and the directory the 0.9.3c wallet was using, which it created itself, is called .BitShares. So I'm copying the blockchain over to that other directory to see if I can get it to launch once the copying is complete!

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #21 on: December 16, 2017, 09:13:05 pm »
...and the wallet crashed.

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #22 on: December 16, 2017, 09:17:51 pm »
ClientWrapper.cpp:139         initialize           ] Starting client with data-dir: /home/kat/.BitShares
Loading config from file: /home/kat/.BitShares/config.json
Using blockchain checkpoints from file: /home/kat/.BitShares/checkpoints.json
Initializing state from built-in genesis file
Successfully replayed 0 blocks in 7 seconds.                         
Blockchain size changed from 0MiB to 0MiB.
QSslSocket: cannot resolve SSLv2_client_method
QSslSocket: cannot resolve SSLv2_server_method
Segmentation fault (core dumped)

That's the error.

Does anyone know where I might be able to ask for help geting either the 0.9.3c or 0.4.24.1 wallets to run?

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #23 on: December 17, 2017, 12:51:21 am »
Found these concerning the build error. I literally have no idea how relevant those links are though -

https://github.com/bitshares/bitshares1-core/issues/1540

https://github.com/cryptonomex/graphene/issues/86

If someone could direct me to where I can get help that would be great!

Maybe I can try running a virtual machine or running a livecd or something?

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #24 on: December 17, 2017, 12:56:34 am »
So right now I think I need to get 0.4.24.1 built and running. Then after exporting that wallet I'll have to sort out the mess concerning the 0.9.3c wallet wallet.

That is the plan. Let's see how things pan out...

Thanks!

Offline Brekyrself

  • Hero Member
  • *****
  • Posts: 509
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #25 on: December 20, 2017, 02:05:45 am »
Do you know what version you started this procedure with?  IE what version did you first export that wallet from?

Did you try this on a Windows OS?

Have you followed the instructions here: http://docs.bitshares.org/bitshares/migration/howto-exporting-wallet.html

Offline V D-C

  • Full Member
  • ***
  • Posts: 55
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #26 on: December 20, 2017, 12:31:05 pm »
Do you know what version you started this procedure with?  IE what version did you first export that wallet from?

Did you try this on a Windows OS?

Have you followed the instructions here: http://docs.bitshares.org/bitshares/migration/howto-exporting-wallet.html

Thanks for the reply!

I have two wallet.dat archives. One from 25th Feb 2014 and the other from 7th April 2014 and I haven't tried using windows. I'd have to go and buy a new computer to do that!

I have tried to run 0.9.3c and the GUI version always crashes at the end of the splash screen. The CLI version seems to work, but when I tell it to open the default wallet it says "no_such_wallet: wallet does not exist
No such wallet exists!"

https://bitsharestalk.org/index.php/topic,25555.0.html

I downloaded an archived blockchain and put the wallet.dat in the same directory with the blockchain -- .Bitshares -- which is in my home directory in linux.

Thanks!


Offline Brekyrself

  • Hero Member
  • *****
  • Posts: 509
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #27 on: December 21, 2017, 05:53:57 pm »
Well based on what you have done the next logical step is to simply try it on a Windows based machine.  You do not have any friends or family that have one?

Another option is to send the wallet files to a trusted individual on this site so they can try to get it working for you.  Might sound risky, but there are honest people around here.

Offline Bitsharering

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Looking for help trying to run the 0.9.3c wallet. It won't launch!
« Reply #28 on: December 22, 2017, 06:01:30 pm »
Hey VDC

Type Amazon AWS Free Tier into Google - Signup for there $300 Free tier package - Create a free Windows VPS - Install the Windows Bitshares Desktop Client - Try restoring from there.